Skip to main content
GET
List transactions
This endpoint returns paginated results; each page will need to be requested separately to retrieve the data on that page. The total_pages field returns an integer representing the total pages to be requested.

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Query Parameters

account_guid
string

Return transactions belonging to the specified account GUID. (Optional)

account_guids
string[]

Return transactions belonging to any account GUIDs specified in the request URL. Example: /transactions?page=2&records_per_page=100&account_guids[]=ACT-00266e24-5980-0213-96aa-649246a418af&account_guids[]=ACT-15f3a4de-cb45-d892-4480-6d05576011a8.

from_date
string<date>

Return transactions starting from this day, based on the transaction date. Defaults to 120 days ago if not provided. Format should be ISO 8601 format (e.g., 2013-05-28). (Optional)

to_date
string<date>

Return transactions ending with this day, based on the transaction date. Defaults to 5 days forward from the day the request is made to capture pending transactions. Format should be ISO 8601 format (e.g., 2013-05-28). (Optional)

page
integer

Results are returned in paginated sets; this is the page of the results you would like to view. Defaults to page 1 if not specified. (Optional)

records_per_page
integer

See Pagination for additional information. (Optional)

user_transaction_rule_guid
string

Return transactions associated with the provided transaction rule GUID. (Optional)

use_case
string

The use case associated with the member.

Response

200 - application/vnd.mx.api.v1+json

OK

transactions
object[]
pagination
object